<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'demorequest',

    /*
     * Modules.
     */
    'modules'   => ['demo'],


    'demo'       => [
        'model'             => 'Litecms\Demorequest\Models\Demo',
        'table'             => 'demos',
        'presenter'         => \Litecms\Demorequest\Repositories\Presenter\DemoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'first_name',  'last_name',  'email',  'company_name',  'phone',  'notes',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'first_name',  'last_name',  'email',  'company_name',  'phone',  'notes',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/demorequest/demo',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
