This is a Laravel 5 package that provides demorequest management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/demorequest`.

    "litecms/demorequest": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Litecms\Demorequest\Providers\DemorequestServiceProvider::class,

```

And also add it to alias

```php
'Demorequest'  => Litecms\Demorequest\Facades\Demorequest::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Litecms\Demorequest\Providers\DemorequestServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


