<?php

namespace Litecms\Demorequest\Repositories\Eloquent;

use Litecms\Demorequest\Interfaces\DemoRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DemoRepository extends BaseRepository implements DemoRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.demorequest.demo.model');
    }
}
