<?php

namespace Litecms\Demorequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DemoListTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Demorequest\Models\Demo $demo)
    {
        return [
            'id'                => $demo->getRouteKey(),
            'id'                => $demo->id,
            'first_name'        => $demo->first_name,
            'last_name'         => $demo->last_name,
            'email'             => $demo->email,
            'company_name'      => $demo->company_name,
            'phone'             => $demo->phone,
            'notes'             => $demo->notes,
            'created_at'        => $demo->created_at,
            'updated_at'        => $demo->updated_at,
            'deleted_at'        => $demo->deleted_at,
        ];
    }
}