@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('demorequest::demo.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('demorequest::demo.names') !!}</small>
@stop

@section('title')
{!! trans('demorequest::demo.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('demorequest::demo.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='demorequest-demo-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="demorequest-demo-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('demorequest::demo.label.first_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.last_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.email')!!}</th>
                    <th>{!! trans('demorequest::demo.label.company_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.phone')!!}</th>
                    <th>{!! trans('demorequest::demo.label.notes')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#demorequest-demo-entry', '{!!URL::to('admin/demorequest/demo/0')!!}');
    oTable = $('#demorequest-demo-list').dataTable( {
        "ajax": '{!! URL::to('/admin/demorequest/demo') !!}',
        "columns": [
            {data :'first_name'},
                    {data :'last_name'},
                    {data :'email'},
                    {data :'company_name'},
                    {data :'phone'},
                    {data :'notes'},
        ],
        "pageLength": 50
    });

    $('#demorequest-demo-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#demorequest-demo-list').DataTable().row( this ).data();

        $('#demorequest-demo-entry').load('{!!URL::to('admin/demorequest/demo')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

