@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Demos </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/demorequest/demo/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Demo</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('demorequest::demo.label.first_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.last_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.email')!!}</th>
                    <th>{!! trans('demorequest::demo.label.company_name')!!}</th>
                    <th>{!! trans('demorequest::demo.label.phone')!!}</th>
                    <th>{!! trans('demorequest::demo.label.notes')!!}</th>
                    <th width="150">{!! trans('demorequest::demo.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($demos as $demo)
                <tr>
                    <td>{{ $demo->first_name }}</td>
                    <td>{{ $demo->last_name }}</td>
                    <td>{{ $demo->email }}</td>
                    <td>{{ $demo->company_name }}</td>
                    <td>{{ $demo->phone }}</td>
                    <td>{{ $demo->notes }}</td>
                    <td><span class="label status-{{ $demo->status }}"> {{ $demo->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/demorequest/demo/{!! $demo->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/demorequest/demo/{!! $demo->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/demorequest/demo/{!! $demo->getRouteKey() !!}" 
                            href="trans_url('/user')/demorequest/demo/{!! $demo->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $demos->links() }}
</div>