<?php

// Admin web routes  for demo
Route::group(['prefix' => trans_setlocale().'/admin/demorequest'], function () {
    Route::resource('demo', 'Litecms\Demorequest\Http\Controllers\DemoAdminWebController');
});

// Admin API routes  for demo
Route::group(['prefix' => trans_setlocale().'api/v1/admin/demorequest'], function () {
    Route::resource('demo', 'Litecms\Demorequest\Http\Controllers\DemoAdminApiController');
});

// User web routes for demo
Route::group(['prefix' => trans_setlocale().'/user/demorequest'], function () {
    Route::resource('demo', 'Litecms\Demorequest\Http\Controllers\DemoUserWebController');
});

// User API routes for demo
Route::group(['prefix' => trans_setlocale().'api/v1/user/demorequest'], function () {
    Route::resource('demo', 'Litecms\Demorequest\Http\Controllers\DemoUserApiController');
});

// Public web routes for demo
Route::group(['prefix' => trans_setlocale().'/demorequests'], function () {
    Route::get('/', 'Litecms\Demorequest\Http\Controllers\DemoPublicWebController@index');
    Route::get('/{slug?}', 'Litecms\Demorequest\Http\Controllers\DemoPublicWebController@show');
});

// Public API routes for demo
Route::group(['prefix' => trans_setlocale().'api/v1/demorequests'], function () {
    Route::get('/', 'Litecms\Demorequest\Http\Controllers\DemoPublicApiController@index');
    Route::get('/{slug?}', 'Litecms\Demorequest\Http\Controllers\DemoPublicApiController@show');
});

